aboutsummaryrefslogtreecommitdiffstats
path: root/x11/mousepad/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-13 13:15:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-13 13:15:07 +0000
commitbaec807055a1225e3cab9ce96041a1ea774c538d (patch)
treec9c398093bdf506d88965316e81121e81bf3d957 /x11/mousepad/APKBUILD
parent9edce2d607b89cb61ca12d59068bbaf802265a78 (diff)
downloadaports-baec807055a1225e3cab9ce96041a1ea774c538d.tar.gz
aports-baec807055a1225e3cab9ce96041a1ea774c538d.tar.bz2
aports-baec807055a1225e3cab9ce96041a1ea774c538d.tar.xz
x11/mousepad: new aport
Diffstat (limited to 'x11/mousepad/APKBUILD')
-rw-r--r--x11/mousepad/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/x11/mousepad/APKBUILD b/x11/mousepad/APKBUILD
new file mode 100644
index 0000000000..c0bc5df40c
--- /dev/null
+++ b/x11/mousepad/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=mousepad
+pkgver=0.2.16
+pkgrel=0
+pkgdesc="Simple Text Editor for Xfce4 (based on Gedit)"
+url="http://www.xfce.org/~benny/apps.html"
+license="GPL-2"
+makedepends="pkgconfig libxfcegui4-dev intltool gettext-dev libiconv-dev
+ libsm-dev e2fsprogs-dev"
+depends="desktop-file-utils"
+install="mousepad.post-install mousepad.post-deinstall"
+source="http://www.xfce.org/archive/xfce-4.6.0/src/$pkgname-$pkgver.tar.bz2
+ $install"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib/xfce4 \
+ --localstatedir=/var \
+ --disable-static
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="d98854edb76d823ac20b266fdf5a64a1 mousepad-0.2.16.tar.bz2
+5ee3bbceee9d5e58b6fd8afeba87980b mousepad.post-install
+5ee3bbceee9d5e58b6fd8afeba87980b mousepad.post-deinstall"